Name:           atomix
Version:        2.14.0
Release:        8.1
Summary:        Puzzle game: Build molecules out of isolated atoms

Group:          Amusements/Games
License:        GPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/atomix/2.14/
# Old URL:      http://www.informatik.uni-oldenburg.de/~pearl/gnome/atomix.html
# Official URL: http://www.gnome.org/projects/atomix (404 as of 09/2006)
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atomix/2.14/atomix-2.14.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  libgnomeui-devel >= 2.0

%description
Atomix is yet another little mind game. You have to build molecules out of
single atoms laying around. Of course there is a time limit and the handling is
not as easy as you might expect ;-). This game is inspired by the original
Amiga game Atomix and uses the GNOME libraries.


%prep
%setup -q

%build
export LDFLAGS="${LDFLAGS} -lm" 
%configure
# gnome bz#334319 -- translations don't get built; workaround that
sed  -i 's!^SOURCES = !&\n'"$(grep "^CATALOGS" po/Makefile.in)"'!' po/Makefile
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

# move scorefile to proper place
mkdir -p ${RPM_BUILD_ROOT}/%{_localstatedir}/lib/
mv ${RPM_BUILD_ROOT}%{_localstatedir}/games ${RPM_BUILD_ROOT}%{_localstatedir}/lib/

desktop-file-install --vendor fedora  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --add-category Application \
  --add-category X-Fedora \
  --add-category LogicGame \
  --remove-category PuzzleGame \
  --remove-category GNOME \
  --remove-category GTK \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/atomix.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(2755,games,games) %{_bindir}/atomix
%{_datadir}/atomix
%{_datadir}/pixmaps/atomix-icon.png
%{_datadir}/gnome-2.0/ui/atomix-ui.xml
%{_datadir}/applications/fedora-atomix.desktop
%attr(0664,games,games) %{_localstatedir}/lib/games/atomix.scores


%changelog
* Sat Feb 13 2010 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.14.0-8
- Add -lm to linker flags to fix ImplicitDSOLinking (#565165)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.14.0-5
- Adjust summmary

* Sat Feb 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.14.0-4
- rebuilt

* Fri Aug 10 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.14.0-3
- fix some misspelled words in description

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Sep 03 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.14.0-2
- workaround gnome bz#334319 -- translations don't get built; 

* Sat Sep 02 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.14.0-1
- initial creation
